#ifndef __CONFIG_H__
#define __CONFIG_H__

#cmakedefine ICON_ENABLE_DBUS_DBUG
#define DATA_DIR "@CMAKE_PROJECT_NAME@"
#define VERSION "@PLASMA_ICONTASKS_VERSION_FULL@"

#ifdef ICON_ENABLE_DBUS_DBUG
#include <QTextStream>
#include <QDateTime>
#define ICN_DBUG    qDebug() << QTime::currentTime() << __PRETTY_FUNCTION__ << (void *)this
#define ICN_MO_DBUG qDebug() << QTime::currentTime() << __PRETTY_FUNCTION__ << (void *)this << QString(QString(__PRETTY_FUNCTION__).contains(metaObject()->className()) ? QString() : QString(QChar('[')+QString(metaObject()->className())+ QChar(']')))
#define ICN_APP_DBUG if(Tasks::debug()) ICN_MO_DBUG
#define ICN_LIB_DBUG if(GroupManager::debug()) ICN_MO_DBUG
#define ICN_LIB_S_DBUG if(GroupManager::sortDebug()) ICN_MO_DBUG
#define ICN_LIB_L_DBUG if(GroupManager::launcherDebug()) ICN_MO_DBUG
#define ICN_APP_STD_DBUG if(Tasks::debug()) ICN_DBUG
#define ICN_LIB_STD_DBUG if(GroupManager::debug()) ICN_DBUG
#define ICN_LIB_S_STD_DBUG if(GroupManager::sortDebug()) ICN_DBUG
#define ICN_LIB_L_STD_DBUG if(GroupManager::launcherDebug()) ICN_DBUG

#define ICN_DM_DBUG if(DockManager::debug()) ICN_MO_DBUG
#define ICN_U_DBUG if(Unity::debug()) ICN_MO_DBUG
#define ICN_MB_DBUG if(MediaButtons::debug()) ICN_MO_DBUG

#endif

#endif
